## org.eclipse.datatools.modelbase.sql.constraints
Interface TableConstraint

All Superinterfaces:
  Constraint, SQLObject

All Known Subinterfaces:
  CheckConstraint, ForeignKey, PrimaryKey, ReferenceConstraint, UniqueConstraint

All Known Implementing Classes:
  CheckConstraintImpl, ForeignKeyImpl, JDBCForeignKey, JDBCPrimaryKey, JDBCUniqueConstraint, PrimaryKeyImpl, ReferenceConstraintImpl, TableConstraintImpl, UniqueConstraintImpl

    public interface TableConstraint

extends Constraint

A representation of the model object 'Table Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints

The following features are supported:

- `Base Table`

See Also:
  `SQLConstraintsPackage.getTableConstraint()`

Method Summary
`BaseTable` `getBaseTable()` Returns the value of the 'Base Table' container reference.
`void` `setBaseTable(BaseTable value)` Sets the value of the '`Base Table`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getBaseTable

    BaseTable getBaseTable()

  Returns the value of the 'Base Table' container reference. It is bidirectional and its opposite is '`Constraints`'.

  If the meaning of the 'Base Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Table' container reference.
  See Also:
    `setBaseTable(BaseTable)`, `SQLConstraintsPackage.getTableConstraint_BaseTable()`, `BaseTable.getConstraints()`

### setBaseTable

    void setBaseTable(BaseTable value)

  Sets the value of the '`Base Table`' container reference.

  Parameters:
    `value` - the new value of the 'Base Table' container reference.
  See Also:
    `getBaseTable()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.